- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstSpeakerArrangement Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
VstInt32 | type
| e.g. kSpeakerArr51 for 5.1
VstInt32 | numChannels
| number of channels in this speaker arrangement
VstSpeakerProperties | speakers [8]
| variable sized speaker array

## Detailed Description

Speaker Arrangement.

## Member Data Documentation

VstInt32 VstSpeakerArrangement::numChannels

number of channels in this speaker arrangement

VstSpeakerProperties VstSpeakerArrangement::speakers[8]

variable sized speaker array

VstInt32 VstSpeakerArrangement::type

e.g. kSpeakerArr51 for 5.1

See also:
  VstSpeakerArrangementType

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.